#-----------------------------------------------------------------------------
# Project  Tutoriels - Conception de circuits intégrés numériques
#-----------------------------------------------------------------------------
# File     timing.sdc
# Authors  Mickael Fiorentino <mickael.fiorentino@polymtl.ca>
# Lab      GRM - Polytechnique Montréal
# Date     <2019-10-02 Wed>
#-----------------------------------------------------------------------------
# Brief    Contraintes de timing
#-----------------------------------------------------------------------------

# Unités par défaut
set_time_unit -picoseconds
set_load_unit -femtofarads

# Point de fonctionnement
set_operating_conditions -max PVT_1P1V_0C -min PVT_0P9V_125C; # 1.1V, OC ; 0.9V, 125C

# Horloge principale
set clk "clk"
create_clock -period 1250 -name $clk [get_ports i_clk]

# Incertitudes sur l'horloge: setup = 100ps, hold = 30ps
set_db [get_clocks $clk] .clock_setup_uncertainty 100
set_db [get_clocks $clk] .clock_hold_uncertainty  30

# Reset
set_false_path -from [get_ports i_rstn]
set_ideal_network [get_nets rstn_sync\[1\]]

# Entrées
set_input_delay 200 -clock [get_clocks $clk] [all_inputs]
set_db [all_inputs] .external_driver [vfind [vfind / -libcell BUFX20] -libpin Y]

# Sorties
set_output_delay 200 -clock [get_clocks $clk] [all_outputs]
set_db [all_outputs] .external_pin_cap 500
